[Armadeus-commitlog] SF.net SVN: armadeus:[949] trunk/target/test/test_sound.sh
Brought to you by:
sszy
|
From: <ar...@us...> - 2008-12-11 20:33:43
|
Revision: 949
http://armadeus.svn.sourceforge.net/armadeus/?rev=949&view=rev
Author: artemys
Date: 2008-12-11 20:33:39 +0000 (Thu, 11 Dec 2008)
Log Message:
-----------
[TEST] Add script to test ALSA/sound
Added Paths:
-----------
trunk/target/test/test_sound.sh
Added: trunk/target/test/test_sound.sh
===================================================================
--- trunk/target/test/test_sound.sh (rev 0)
+++ trunk/target/test/test_sound.sh 2008-12-11 20:33:39 UTC (rev 949)
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+
+test_sound()
+{
+ show_test_banner "Sound / ALSA"
+
+ modprobe spi_imx
+ modprobe snd-imx-alsa-tsc2102
+ if [ "$?" != 0 ]; then
+ exit_failed
+ fi
+
+ cat /proc/asound/version
+ cat /proc/asound/cards
+ aplay -lL
+ if [ "$?" != 0 ]; then
+ exit_failed
+ fi
+
+ aplay /usr/share/sounds/alsa/Side_Left.wav
+ if [ "$?" == 0 ]; then
+ ask_user "Did you hear something ? (y/n)"
+ if [ "$response" == "y" ]; then
+ echo_test_ok
+ fi
+ fi
+}
+
+test_sound
Property changes on: trunk/target/test/test_sound.sh
___________________________________________________________________
Added: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|